aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek@gentoo.org>2012-03-31 00:36:39 +0530
committerNirbheek Chauhan <nirbheek@gentoo.org>2012-03-31 00:36:39 +0530
commitf7d55820e33e5a381b4fb21b6270becceb8488e8 (patch)
tree7470636e5380b48fe7c4b529a372ff71b90c7b87 /www-client
parentgnome-base/dconf: bump, and fix vala stuff (diff)
downloadgnome-f7d55820e33e5a381b4fb21b6270becceb8488e8.tar.gz
gnome-f7d55820e33e5a381b4fb21b6270becceb8488e8.tar.bz2
gnome-f7d55820e33e5a381b4fb21b6270becceb8488e8.zip
www-client/epiphany: 3.3.92 → 3.4.0
Diffstat (limited to 'www-client')
-rw-r--r--www-client/epiphany/Manifest6
-rw-r--r--www-client/epiphany/epiphany-3.4.0.1.ebuild (renamed from www-client/epiphany/epiphany-3.3.92.ebuild)0
-rw-r--r--www-client/epiphany/epiphany-9999.ebuild18
3 files changed, 10 insertions, 14 deletions
diff --git a/www-client/epiphany/Manifest b/www-client/epiphany/Manifest
index 15aa6e5a..af415132 100644
--- a/www-client/epiphany/Manifest
+++ b/www-client/epiphany/Manifest
@@ -1,5 +1,5 @@
AUX epiphany-3.3.90-paxctl-introspection.patch 835 RMD160 6b0e132afe80028e0ca66ace51bafe71fe2344c7 SHA1 bad74a12b1f4636bc38f77109e36389899a8ff39 SHA256 c7670baab442a5475e33a614d2f71fb4601398a1fc1bc898e6b9359d35d3d6b3
AUX paxctl.sh 787 RMD160 1944c6ad29d556674a2aab18115d06c2e4842216 SHA1 45475a30566efbe674eeed341dc8e2932b3c732e SHA256 f55473f2b044d25598195b6676175bad9531d4374fff65505d7c717d90d0897e
-DIST epiphany-3.3.92.tar.xz 5116752 RMD160 542589a8b76d43de446ffbb3509b6115571e88cb SHA1 f2a5e078a70e5c954faf45061864e0baf0f672f5 SHA256 2f557fafdd40e28e4ceb1b05b7d3117f5c9b9b362983ec435b8b49429141d144
-EBUILD epiphany-3.3.92.ebuild 2314 RMD160 3c11caf01c0670f4400afd900b4fa62b1347353d SHA1 5fcbf5da05d1eef1f5f306a1d7984fc2569a5080 SHA256 1850874eecc5ab709a2ca4897c36a13873fe424095288d2c0cd4fa45c4bad13f
-EBUILD epiphany-9999.ebuild 2467 RMD160 c7d2a173abf119a480c7afc0ace79d38880d07b6 SHA1 292bc603c3d4978ea9c3c7ef83d21a1d5875814d SHA256 b21ce2b33fcf0770ba1169d907351e68536817ff4461d01933abeeecb2096376
+DIST epiphany-3.4.0.1.tar.xz 5118028 RMD160 565da5ca8421b33734392fabf8fed2ac9b4d7ff3 SHA1 506999a87d6623c98c9c9379e46728db3711faa0 SHA256 48acfa6efc806cc6b02f783dd92b36ba3bdf94d1e1ae02bed69886f45e400533
+EBUILD epiphany-3.4.0.1.ebuild 2314 RMD160 3c11caf01c0670f4400afd900b4fa62b1347353d SHA1 5fcbf5da05d1eef1f5f306a1d7984fc2569a5080 SHA256 1850874eecc5ab709a2ca4897c36a13873fe424095288d2c0cd4fa45c4bad13f
+EBUILD epiphany-9999.ebuild 2314 RMD160 3c11caf01c0670f4400afd900b4fa62b1347353d SHA1 5fcbf5da05d1eef1f5f306a1d7984fc2569a5080 SHA256 1850874eecc5ab709a2ca4897c36a13873fe424095288d2c0cd4fa45c4bad13f
diff --git a/www-client/epiphany/epiphany-3.3.92.ebuild b/www-client/epiphany/epiphany-3.4.0.1.ebuild
index 310e70ae..310e70ae 100644
--- a/www-client/epiphany/epiphany-3.3.92.ebuild
+++ b/www-client/epiphany/epiphany-3.4.0.1.ebuild
diff --git a/www-client/epiphany/epiphany-9999.ebuild b/www-client/epiphany/epiphany-9999.ebuild
index 8cd77edf..310e70ae 100644
--- a/www-client/epiphany/epiphany-9999.ebuild
+++ b/www-client/epiphany/epiphany-9999.ebuild
@@ -23,18 +23,19 @@ else
fi
# XXX: Should we add seed support? Seed seems to be unmaintained now.
-RDEPEND="dev-db/sqlite
+RDEPEND="
>=dev-libs/glib-2.31.2:2
>=x11-libs/gtk+-3.3.14:3[introspection?]
>=dev-libs/libxml2-2.6.12:2
>=dev-libs/libxslt-1.1.7
>=app-text/iso-codes-0.35
- >=net-libs/webkit-gtk-1.7.3:3[introspection?]
+ >=net-libs/webkit-gtk-1.7.92:3[introspection?]
>=net-libs/libsoup-gnome-2.37.1:2.4
>=gnome-base/gnome-keyring-2.26.0
>=gnome-base/gsettings-desktop-schemas-0.0.1
>=x11-libs/libnotify-0.5.1
+ dev-db/sqlite:3
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
@@ -77,15 +78,10 @@ src_prepare() {
}
src_test() {
- # Tests require gsettings schemas from >=epiphany-3.3.5 to be installed
- local v=$(best_version www-client/epiphany)
- v=${v/www-client\/epiphany-/}
- if version_is_at_least 3.3.5 "${v}"; then
- Xemake check
- else
- ewarn "Skipping tests. To run tests, >=${PN}-3.3.5 needs to be already"
- ewarn "installed on the system."
- fi
+ # FIXME: this should be handled at eclass level
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+
+ GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
}
src_install() {